Package org.apache.felix.http.jakartawrappers

# Class ServletWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.ServletWrapper

All Implemented Interfaces:
  `jakarta.servlet.Servlet`

public class ServletWrapper extends Object implements jakarta.servlet.Servlet
Servlet wrapper

## Constructor Summary

Constructors
Constructor
Description
`ServletWrapper(javax.servlet.Servlet servlet)`
Create new servlet

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`static jakarta.servlet.Servlet`
`getRegisteredServlet(javax.servlet.Servlet s)`
Get the registered servlet
`javax.servlet.Servlet`
`getServlet()`
Get the wrapped servlet
`jakarta.servlet.ServletConfig`
`getServletConfig()`
`String`
`getServletInfo()`
`void`
`init(jakarta.servlet.ServletConfig config)`
`void`
`service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletWrapper

public ServletWrapper(@NotNull javax.servlet.Servlet servlet)
Create new servlet

Parameters:
  `servlet` - wrapped servlet

## Method Details

### getRegisteredServlet

public static jakarta.servlet.Servlet getRegisteredServlet(javax.servlet.Servlet s)
Get the registered servlet

Parameters:
  `s` - The servlet
Returns:
  The registered servlet

### init

public void init(jakarta.servlet.ServletConfig config) throws jakarta.servlet.ServletException

Specified by:
  `init` in interface `jakarta.servlet.Servlet`
Throws:
  `jakarta.servlet.ServletException`

### getServletConfig

public jakarta.servlet.ServletConfig getServletConfig()

Specified by:
  `getServletConfig` in interface `jakarta.servlet.Servlet`

### service

public void service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res) throws jakarta.servlet.ServletException, IOException

Specified by:
  `service` in interface `jakarta.servlet.Servlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`

### getServletInfo

public String getServletInfo()

Specified by:
  `getServletInfo` in interface `jakarta.servlet.Servlet`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `jakarta.servlet.Servlet`

### getServlet

@NotNull public javax.servlet.Servlet getServlet()
Get the wrapped servlet

Returns:
  The servlet